diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -12423,25 +12464,25 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 12429 "parsing/parser.ml"
+# 12470 "parsing/parser.ml"
           
         in
         let _startpos_cid_ = _startpos__1_ in
         let _1 = 
-# 3570 "parsing/parser.mly"
+# 3598 "parsing/parser.mly"
     ( () )
-# 12436 "parsing/parser.ml"
+# 12477 "parsing/parser.ml"
          in
         let _endpos = _endpos_attrs_ in
         let _symbolstartpos = _startpos_cid_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3119 "parsing/parser.mly"
+# 3139 "parsing/parser.mly"
       ( let info = symbol_info _endpos in
         Te.rebind cid lid ~attrs ~loc:(make_loc _sloc) ~info )
-# 12445 "parsing/parser.ml"
+# 12486 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12488,10 +12529,10 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3738 "parsing/parser.mly"
+# 3766 "parsing/parser.mly"
     ( mark_symbol_docs _sloc;
       Attr.mk ~loc:(make_loc _sloc) _2 _3 )
-# 12495 "parsing/parser.ml"
+# 12536 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12507,14 +12548,14 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : ((Parsetree.core_type * (Asttypes.variance * Asttypes.injectivity)) list) = let params = 
-# 1934 "parsing/parser.mly"
+# 1942 "parsing/parser.mly"
       ( [] )
-# 12513 "parsing/parser.ml"
+# 12554 "parsing/parser.ml"
          in
         
-# 1759 "parsing/parser.mly"
+# 1767 "parsing/parser.mly"
     ( params )
-# 12518 "parsing/parser.ml"
+# 12559 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12555,24 +12596,24 @@ module Tables = struct
             let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 12559 "parsing/parser.ml"
+# 12600 "parsing/parser.ml"
              in
             
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 12564 "parsing/parser.ml"
+# 12605 "parsing/parser.ml"
             
           in
           
-# 1936 "parsing/parser.mly"
+# 1944 "parsing/parser.mly"
       ( params )
-# 12570 "parsing/parser.ml"
+# 12611 "parsing/parser.ml"
           
         in
         
-# 1759 "parsing/parser.mly"
+# 1767 "parsing/parser.mly"
     ( params )
-# 12576 "parsing/parser.ml"
+# 12617 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12595,9 +12636,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.expression) = 
-# 2507 "parsing/parser.mly"
+# 2527 "parsing/parser.mly"
       ( _1 )
-# 12601 "parsing/parser.ml"
+# 12642 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12637,9 +12678,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2509 "parsing/parser.mly"
+# 2529 "parsing/parser.mly"
       ( mkexp_constraint ~loc:_sloc _3 _1 )
-# 12643 "parsing/parser.ml"
+# 12684 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12669,9 +12710,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.expression) = 
-# 2533 "parsing/parser.mly"
+# 2553 "parsing/parser.mly"
       ( _2 )
-# 12675 "parsing/parser.ml"
+# 12716 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12716,24 +12757,24 @@ module Tables = struct
         let _endpos = _endpos__4_ in
         let _v : (Parsetree.expression) = let _1 =
           let _1 = 
-# 2535 "parsing/parser.mly"
+# 2555 "parsing/parser.mly"
       ( Pexp_constraint (_4, _2) )
-# 12722 "parsing/parser.ml"
+# 12763 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__4_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 12731 "parsing/parser.ml"
+# 12772 "parsing/parser.ml"
           
         in
         
-# 2536 "parsing/parser.mly"
+# 2556 "parsing/parser.mly"
       ( _1 )
-# 12737 "parsing/parser.ml"
+# 12778 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12766,12 +12807,12 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2539 "parsing/parser.mly"
+# 2559 "parsing/parser.mly"
       (
        let (l,o,p) = _1 in
        ghexp ~loc:_sloc (Pexp_fun(l, o, p, _2))
       )
-# 12775 "parsing/parser.ml"
+# 12816 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12822,17 +12863,17 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.expression) = let _3 = 
-# 2416 "parsing/parser.mly"
+# 2436 "parsing/parser.mly"
     ( xs )
-# 12828 "parsing/parser.ml"
+# 12869 "parsing/parser.ml"
          in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2544 "parsing/parser.mly"
+# 2564 "parsing/parser.mly"
       ( mk_newtypes ~loc:_sloc _3 _5 )
-# 12836 "parsing/parser.ml"
+# 12877 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12855,9 +12896,9 @@ module Tables = struct
         let _startpos = _startpos_ty_ in
         let _endpos = _endpos_ty_ in
         let _v : (Parsetree.core_type) = 
-# 3231 "parsing/parser.mly"
+# 3251 "parsing/parser.mly"
       ( ty )
-# 12861 "parsing/parser.ml"
+# 12902 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12903,19 +12944,19 @@ module Tables = struct
         let _v : (Parsetree.core_type) = let _1 =
           let _1 =
             let domain = 
-# 815 "parsing/parser.mly"
+# 823 "parsing/parser.mly"
                               ( extra_rhs_core_type _1 ~pos:_endpos__1_ )
-# 12909 "parsing/parser.ml"
+# 12950 "parsing/parser.ml"
              in
             let label = 
-# 3243 "parsing/parser.mly"
+# 3263 "parsing/parser.mly"
       ( Optional label )
-# 12914 "parsing/parser.ml"
+# 12955 "parsing/parser.ml"
              in
             
-# 3237 "parsing/parser.mly"
+# 3257 "parsing/parser.mly"
         ( Ptyp_arrow(label, domain, codomain) )
-# 12919 "parsing/parser.ml"
+# 12960 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_codomain_, _startpos_label_) in
@@ -12923,15 +12964,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 12929 "parsing/parser.ml"
+# 12970 "parsing/parser.ml"
           
         in
         
-# 3239 "parsing/parser.mly"
+# 3259 "parsing/parser.mly"
     ( _1 )
-# 12935 "parsing/parser.ml"
+# 12976 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -12978,9 +13019,9 @@ module Tables = struct
         let _1 : (Parsetree.core_type) = Obj.magic _1 in
         let _2 : unit = Obj.magic _2 in
         let label : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 12984 "parsing/parser.ml"
+# 13025 "parsing/parser.ml"
         ) = Obj.magic label in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos_label_ in
@@ -12988,19 +13029,19 @@ module Tables = struct
         let _v : (Parsetree.core_type) = let _1 =
           let _1 =
             let domain = 
-# 815 "parsing/parser.mly"
+# 823 "parsing/parser.mly"
                               ( extra_rhs_core_type _1 ~pos:_endpos__1_ )
-# 12994 "parsing/parser.ml"
+# 13035 "parsing/parser.ml"
              in
             let label = 
-# 3245 "parsing/parser.mly"
+# 3265 "parsing/parser.mly"
       ( Labelled label )
-# 12999 "parsing/parser.ml"
+# 13040 "parsing/parser.ml"
              in
             
-# 3237 "parsing/parser.mly"
+# 3257 "parsing/parser.mly"
         ( Ptyp_arrow(label, domain, codomain) )
-# 13004 "parsing/parser.ml"
+# 13045 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_codomain_, _startpos_label_) in
@@ -13008,15 +13049,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 13014 "parsing/parser.ml"
+# 13055 "parsing/parser.ml"
           
         in
         
-# 3239 "parsing/parser.mly"
+# 3259 "parsing/parser.mly"
     ( _1 )
-# 13020 "parsing/parser.ml"
+# 13061 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13055,19 +13096,19 @@ module Tables = struct
         let _v : (Parsetree.core_type) = let _1 =
           let _1 =
             let domain = 
-# 815 "parsing/parser.mly"
+# 823 "parsing/parser.mly"
                               ( extra_rhs_core_type _1 ~pos:_endpos__1_ )
-# 13061 "parsing/parser.ml"
+# 13102 "parsing/parser.ml"
              in
             let label = 
-# 3247 "parsing/parser.mly"
+# 3267 "parsing/parser.mly"
       ( Nolabel )
-# 13066 "parsing/parser.ml"
+# 13107 "parsing/parser.ml"
              in
             
-# 3237 "parsing/parser.mly"
+# 3257 "parsing/parser.mly"
         ( Ptyp_arrow(label, domain, codomain) )
-# 13071 "parsing/parser.ml"
+# 13112 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos_codomain_ in
@@ -13075,15 +13116,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 13081 "parsing/parser.ml"
+# 13122 "parsing/parser.ml"
           
         in
         
-# 3239 "parsing/parser.mly"
+# 3259 "parsing/parser.mly"
     ( _1 )
-# 13087 "parsing/parser.ml"
+# 13128 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13114,9 +13155,9 @@ module Tables = struct
         let _endpos = _endpos__2_ in
         let _v : (Lexing.position * Parsetree.functor_parameter) = let _startpos = _startpos__1_ in
         
-# 1190 "parsing/parser.mly"
+# 1198 "parsing/parser.mly"
       ( _startpos, Unit )
-# 13120 "parsing/parser.ml"
+# 13161 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13172,16 +13213,16 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 13178 "parsing/parser.ml"
+# 13219 "parsing/parser.ml"
           
         in
         let _startpos = _startpos__1_ in
         
-# 1193 "parsing/parser.mly"
+# 1201 "parsing/parser.mly"
       ( _startpos, Named (x, mty) )
-# 13185 "parsing/parser.ml"
+# 13226 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13197,9 +13238,9 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : (Parsetree.constructor_arguments * Parsetree.core_type option) = 
-# 3039 "parsing/parser.mly"
+# 3059 "parsing/parser.mly"
                                   ( (Pcstr_tuple [],None) )
-# 13203 "parsing/parser.ml"
+# 13244 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13229,9 +13270,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.constructor_arguments * Parsetree.core_type option) = 
-# 3040 "parsing/parser.mly"
+# 3060 "parsing/parser.mly"
                                   ( (_2,None) )
-# 13235 "parsing/parser.ml"
+# 13276 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13275,9 +13316,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__4_ in
         let _v : (Parsetree.constructor_arguments * Parsetree.core_type option) = 
-# 3042 "parsing/parser.mly"
+# 3062 "parsing/parser.mly"
                                   ( (_2,Some _4) )
-# 13281 "parsing/parser.ml"
+# 13322 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13307,9 +13348,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.constructor_arguments * Parsetree.core_type option) = 
-# 3044 "parsing/parser.mly"
+# 3064 "parsing/parser.mly"
                                   ( (Pcstr_tuple [],Some _2) )
-# 13313 "parsing/parser.ml"
+# 13354 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13357,9 +13398,9 @@ module Tables = struct
   Docstrings.info) = let attrs =
           let _1 = _1_inlined2 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 13363 "parsing/parser.ml"
+# 13404 "parsing/parser.ml"
           
         in
         let _endpos_attrs_ = _endpos__1_inlined2_ in
@@ -13369,23 +13410,23 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 13375 "parsing/parser.ml"
+# 13416 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2987 "parsing/parser.mly"
+# 3007 "parsing/parser.mly"
     (
       let args, res = args_res in
       let info = symbol_info _endpos in
       let loc = make_loc _sloc in
       cid, args, res, attrs, loc, info
     )
-# 13389 "parsing/parser.ml"
+# 13430 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13426,9 +13467,9 @@ module Tables = struct
   Docstrings.info) = let attrs =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 13432 "parsing/parser.ml"
+# 13473 "parsing/parser.ml"
           
         in
         let _endpos_attrs_ = _endpos__1_inlined1_ in
@@ -13437,29 +13478,29 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 13443 "parsing/parser.ml"
+# 13484 "parsing/parser.ml"
           
         in
         let _startpos_cid_ = _startpos__1_ in
         let _1 = 
-# 3570 "parsing/parser.mly"
+# 3598 "parsing/parser.mly"
     ( () )
-# 13450 "parsing/parser.ml"
+# 13491 "parsing/parser.ml"
          in
         let _endpos = _endpos_attrs_ in
         let _symbolstartpos = _startpos_cid_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2987 "parsing/parser.mly"
+# 3007 "parsing/parser.mly"
     (
       let args, res = args_res in
       let info = symbol_info _endpos in
       let loc = make_loc _sloc in
       cid, args, res, attrs, loc, info
     )
-# 13463 "parsing/parser.ml"
+# 13504 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13530,9 +13571,9 @@ module Tables = struct
         let _2 : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = Obj.magic _2 in
         let _1_inlined3 : unit = Obj.magic _1_inlined3 in
         let _1_inlined2 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 13536 "parsing/parser.ml"
+# 13577 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let params : ((Parsetree.core_type * (Asttypes.variance * Asttypes.injectivity)) list) = Obj.magic params in
         let _1_inlined1 : (Parsetree.attributes) = Obj.magic _1_inlined1 in
@@ -13545,9 +13586,9 @@ module Tables = struct
   Parsetree.type_declaration) = let attrs2 =
           let _1 = _1_inlined4 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 13551 "parsing/parser.ml"
+# 13592 "parsing/parser.ml"
           
         in
         let _endpos_attrs2_ = _endpos__1_inlined4_ in
@@ -13556,26 +13597,26 @@ module Tables = struct
             let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 13560 "parsing/parser.ml"
+# 13601 "parsing/parser.ml"
              in
             
-# 901 "parsing/parser.mly"
+# 909 "parsing/parser.mly"
     ( xs )
-# 13565 "parsing/parser.ml"
+# 13606 "parsing/parser.ml"
             
           in
           
-# 2892 "parsing/parser.mly"
+# 2912 "parsing/parser.mly"
     ( _1 )
-# 13571 "parsing/parser.ml"
+# 13612 "parsing/parser.ml"
           
         in
         let kind_priv_manifest =
           let _1 = _1_inlined3 in
           
-# 2927 "parsing/parser.mly"
+# 2947 "parsing/parser.mly"
       ( _2 )
-# 13579 "parsing/parser.ml"
+# 13620 "parsing/parser.ml"
           
         in
         let id =
@@ -13584,29 +13625,29 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 13590 "parsing/parser.ml"
+# 13631 "parsing/parser.ml"
           
         in
         let flag = 
-# 3590 "parsing/parser.mly"
+# 3618 "parsing/parser.mly"
                 ( Recursive )
-# 13596 "parsing/parser.ml"
+# 13637 "parsing/parser.ml"
          in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 13603 "parsing/parser.ml"
+# 13644 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2864 "parsing/parser.mly"
+# 2884 "parsing/parser.mly"
     (
       let (kind, priv, manifest) = kind_priv_manifest in
       let docs = symbol_docs _sloc in
@@ -13615,7 +13656,7 @@ module Tables = struct
       (flag, ext),
       Type.mk id ~params ~cstrs ~kind ~priv ?manifest ~attrs ~loc ~docs
     )
-# 13619 "parsing/parser.ml"
+# 13660 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13692,9 +13733,9 @@ module Tables = struct
         let _2 : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = Obj.magic _2 in
         let _1_inlined4 : unit = Obj.magic _1_inlined4 in
         let _1_inlined3 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 13698 "parsing/parser.ml"
+# 13739 "parsing/parser.ml"
         ) = Obj.magic _1_inlined3 in
         let params : ((Parsetree.core_type * (Asttypes.variance * Asttypes.injectivity)) list) = Obj.magic params in
         let _1_inlined2 : unit = Obj.magic _1_inlined2 in
@@ -13708,9 +13749,9 @@ module Tables = struct
   Parsetree.type_declaration) = let attrs2 =
           let _1 = _1_inlined5 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 13714 "parsing/parser.ml"
+# 13755 "parsing/parser.ml"
           
         in
         let _endpos_attrs2_ = _endpos__1_inlined5_ in
@@ -13719,26 +13760,26 @@ module Tables = struct
             let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 13723 "parsing/parser.ml"
+# 13764 "parsing/parser.ml"
              in
             
-# 901 "parsing/parser.mly"
+# 909 "parsing/parser.mly"
     ( xs )
-# 13728 "parsing/parser.ml"
+# 13769 "parsing/parser.ml"
             
           in
           
-# 2892 "parsing/parser.mly"
+# 2912 "parsing/parser.mly"
     ( _1 )
-# 13734 "parsing/parser.ml"
+# 13775 "parsing/parser.ml"
           
         in
         let kind_priv_manifest =
           let _1 = _1_inlined4 in
           
-# 2927 "parsing/parser.mly"
+# 2947 "parsing/parser.mly"
       ( _2 )
-# 13742 "parsing/parser.ml"
+# 13783 "parsing/parser.ml"
           
         in
         let id =
@@ -13747,9 +13788,9 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 13753 "parsing/parser.ml"
+# 13794 "parsing/parser.ml"
           
         in
         let flag =
@@ -13758,24 +13799,24 @@ module Tables = struct
           let _startpos = _startpos__1_ in
           let _loc = (_startpos, _endpos) in
           
-# 3591 "parsing/parser.mly"
+# 3619 "parsing/parser.mly"
                 ( not_expecting _loc "nonrec flag" )
-# 13764 "parsing/parser.ml"
+# 13805 "parsing/parser.ml"
           
         in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 13772 "parsing/parser.ml"
+# 13813 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2864 "parsing/parser.mly"
+# 2884 "parsing/parser.mly"
     (
       let (kind, priv, manifest) = kind_priv_manifest in
       let docs = symbol_docs _sloc in
@@ -13784,7 +13825,7 @@ module Tables = struct
       (flag, ext),
       Type.mk id ~params ~cstrs ~kind ~priv ?manifest ~attrs ~loc ~docs
     )
-# 13788 "parsing/parser.ml"
+# 13829 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13848,9 +13889,9 @@ module Tables = struct
         let xs : ((Parsetree.core_type * Parsetree.core_type * Ast_helper.loc) list) = Obj.magic xs in
         let kind_priv_manifest : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = Obj.magic kind_priv_manifest in
         let _1_inlined2 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 13854 "parsing/parser.ml"
+# 13895 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let params : ((Parsetree.core_type * (Asttypes.variance * Asttypes.injectivity)) list) = Obj.magic params in
         let _1_inlined1 : (Parsetree.attributes) = Obj.magic _1_inlined1 in
@@ -13863,9 +13904,9 @@ module Tables = struct
   Parsetree.type_declaration) = let attrs2 =
           let _1 = _1_inlined3 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 13869 "parsing/parser.ml"
+# 13910 "parsing/parser.ml"
           
         in
         let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -13874,18 +13915,18 @@ module Tables = struct
             let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 13878 "parsing/parser.ml"
+# 13919 "parsing/parser.ml"
              in
             
-# 901 "parsing/parser.mly"
+# 909 "parsing/parser.mly"
     ( xs )
-# 13883 "parsing/parser.ml"
+# 13924 "parsing/parser.ml"
             
           in
           
-# 2892 "parsing/parser.mly"
+# 2912 "parsing/parser.mly"
     ( _1 )
-# 13889 "parsing/parser.ml"
+# 13930 "parsing/parser.ml"
           
         in
         let id =
@@ -13894,29 +13935,29 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 13900 "parsing/parser.ml"
+# 13941 "parsing/parser.ml"
           
         in
         let flag = 
-# 3586 "parsing/parser.mly"
+# 3614 "parsing/parser.mly"
                                                 ( Recursive )
-# 13906 "parsing/parser.ml"
+# 13947 "parsing/parser.ml"
          in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 13913 "parsing/parser.ml"
+# 13954 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2864 "parsing/parser.mly"
+# 2884 "parsing/parser.mly"
     (
       let (kind, priv, manifest) = kind_priv_manifest in
       let docs = symbol_docs _sloc in
@@ -13925,7 +13966,7 @@ module Tables = struct
       (flag, ext),
       Type.mk id ~params ~cstrs ~kind ~priv ?manifest ~attrs ~loc ~docs
     )
-# 13929 "parsing/parser.ml"
+# 13970 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -13995,9 +14036,9 @@ module Tables = struct
         let xs : ((Parsetree.core_type * Parsetree.core_type * Ast_helper.loc) list) = Obj.magic xs in
         let kind_priv_manifest : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = Obj.magic kind_priv_manifest in
         let _1_inlined3 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 14001 "parsing/parser.ml"
+# 14042 "parsing/parser.ml"
         ) = Obj.magic _1_inlined3 in
         let params : ((Parsetree.core_type * (Asttypes.variance * Asttypes.injectivity)) list) = Obj.magic params in
         let _1_inlined2 : unit = Obj.magic _1_inlined2 in
@@ -14011,9 +14052,9 @@ module Tables = struct
   Parsetree.type_declaration) = let attrs2 =
           let _1 = _1_inlined4 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 14017 "parsing/parser.ml"
+# 14058 "parsing/parser.ml"
           
         in
         let _endpos_attrs2_ = _endpos__1_inlined4_ in
@@ -14022,18 +14063,18 @@ module Tables = struct
             let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 14026 "parsing/parser.ml"
+# 14067 "parsing/parser.ml"
              in
             
-# 901 "parsing/parser.mly"
+# 909 "parsing/parser.mly"
     ( xs )
-# 14031 "parsing/parser.ml"
+# 14072 "parsing/parser.ml"
             
           in
           
-# 2892 "parsing/parser.mly"
+# 2912 "parsing/parser.mly"
     ( _1 )
-# 14037 "parsing/parser.ml"
+# 14078 "parsing/parser.ml"
           
         in
         let id =
@@ -14042,32 +14083,32 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 14048 "parsing/parser.ml"
+# 14089 "parsing/parser.ml"
           
         in
         let flag =
           let _1 = _1_inlined2 in
           
-# 3587 "parsing/parser.mly"
+# 3615 "parsing/parser.mly"
                                                 ( Nonrecursive )
-# 14056 "parsing/parser.ml"
+# 14097 "parsing/parser.ml"
           
         in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 14064 "parsing/parser.ml"
+# 14105 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2864 "parsing/parser.mly"
+# 2884 "parsing/parser.mly"
     (
       let (kind, priv, manifest) = kind_priv_manifest in
       let docs = symbol_docs _sloc in
@@ -14076,7 +14117,7 @@ module Tables = struct
       (flag, ext),
       Type.mk id ~params ~cstrs ~kind ~priv ?manifest ~attrs ~loc ~docs
     )
-# 14080 "parsing/parser.ml"
+# 14121 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -14095,17 +14136,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 701 "parsing/parser.mly"
+# 709 "parsing/parser.mly"
        (string)
-# 14101 "parsing/parser.ml"
+# 14142 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.label) = 
-# 3431 "parsing/parser.mly"
+# 3451 "parsing/parser.mly"
                               ( _1 )
-# 14109 "parsing/parser.ml"
+# 14150 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -14124,17 +14165,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 14130 "parsing/parser.ml"
+# 14171 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.label) = 
-# 3432 "parsing/parser.mly"
+# 3452 "parsing/parser.mly"
                               ( _1 )
-# 14138 "parsing/parser.ml"
+# 14179 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -14164,13 +14205,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 781 "parsing/parser.mly"
+# 789 "parsing/parser.mly"
       (Parsetree.structure)
-# 14170 "parsing/parser.ml"
+# 14211 "parsing/parser.ml"
         ) = 
-# 1072 "parsing/parser.mly"
+# 1080 "parsing/parser.mly"
     ( _1 )
-# 14174 "parsing/parser.ml"
+# 14215 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -14186,9 +14227,9 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : (string) = 
-# 3481 "parsing/parser.mly"
+# 3509 "parsing/parser.mly"
   ( "" )
-# 14192 "parsing/parser.ml"
+# 14233 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -14218,9 +14259,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (string) = 
-# 3482 "parsing/parser.mly"
+# 3510 "parsing/parser.mly"
               ( ";.." )
-# 14224 "parsing/parser.ml"
+# 14265 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -14250,13 +14291,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 783 "parsing/parser.mly"
+# 791 "parsing/parser.mly"
       (Parsetree.signature)
-# 14256 "parsing/parser.ml"
+# 14297 "parsing/parser.ml"
         ) = 
-# 1078 "parsing/parser.mly"
+# 1086 "parsing/parser.mly"
     ( _1 )
-# 14260 "parsing/parser.ml"
+# 14301 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
